# Created by pyp2rpm-3.3.6
%global pypi_name sphinxcontrib-dotnetdomain

Name:           python-%{pypi_name}
Version:        0.4
Release:        %mkrel 9
Summary:        Sphinx "dotnetdomain" extension
Group:          Development/Python
License:        MIT
URL:            https://github.com/rtfd/sphinxcontrib-dotnetdomain
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx) >= 0.6

%description
Sphinx .NET domainDomain to support .NET languages.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(sphinx) >= 0.6
%description -n python3-%{pypi_name}
Sphinx .NET domainDomain to support .NET languages.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinxcontrib

#we don't need this
rm -rf %{buildroot}%{python3_sitelib}/sphinxcontrib_dotnetdomain-%{version}-py%{python3_version}-nspkg.pth

%check
#%%{python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.4-9.mga10
+ Revision: 2241427
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.4-8.mga10
+ Revision: 2158726
- rebuild for python3.13

* Tue Jan 28 2025 daviddavid <daviddavid> 0.4-7.mga10
+ Revision: 2142904
- remove unneeded python3-nose build dependency

* Sun Dec 22 2024 papoteur <papoteur> 0.4-6.mga10
+ Revision: 2128990
- add and use pytest

* Fri Dec 20 2024 daviddavid <daviddavid> 0.4-5.mga10
+ Revision: 2126644
- switch to pyproject

* Thu Dec 07 2023 wally <wally> 0.4-4.mga10
+ Revision: 2015089
- rebuild for py3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.4-3.mga9
+ Revision: 1832797
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.4-2.mga9
+ Revision: 1782414
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.4-1.mga9
+ Revision: 1733824
- imported package python-sphinxcontrib-dotnetdomain

